---
search:
  tags:
    - Themes
    - GET
seo:
  description: >-
    Returns the active theme for a shop, including all templates and static
    assets.… Reference for the GET /shops/{shop_id}/theme endpoint in the Bolder
    API v1.
sidebar:
  label: Theme details
  badge: GET
title: Theme details
type: openapi-operation
---
Returns the active theme for a shop, including all templates and static assets.
Requires `admin` scope.

`GET /shops/{shop_id}/theme`

**Responses**

- `200` — Theme resource

Response example, 200:

```json
{
  "id": "string",
  "title": "string",
  "production": true,
  "settings": {},
  "updated_on": "2019-08-24T14:15:22Z",
  "_links": {},
  "_embedded": {
    "templates": [
      {
        "id": "string",
        "file_name": "string",
        "name": "string",
        "content_type": "html",
        "body": "string",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {}
      }
    ],
    "assets": [
      {
        "id": "string",
        "file_name": "string",
        "content_type": "string",
        "file_size": 0,
        "digest": "string",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {
          "file": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          }
        }
      }
    ]
  }
}
```
